<?php
require "./tree.lib.php";

function explode_binary (&$tree,$where,$remDepth) {
	$remDepth--;
	if ($remDepth == 0) return;
	$left = tree('+child',$tree,$where,$where.'/left'."\n");
	$right = tree('+child',$tree,$where,$where.'/right'."\n");
	explode_binary($tree,$left,$remDepth);
	explode_binary($tree,$right,$remDepth);
}

$d = time();
$m = memory_get_usage();
$t = tree('new'); 
$rootnode = tree('+child',$t,NULL,'root'."\n");
explode_binary($t,$rootnode,12);
$m = memory_get_usage()-$m;
$d = time()-$d;
print "Insert 4096 nodes: Memory consumption: $m  Time (seconds): $d\n";

// $d = time();
// $m = memory_get_usage();
// tree('remove',$t,$rootnode);
// $m = memory_get_usage()-$m;
// $d = time()-$d;
// print "delete rootnode: Memory consumption: $m  Time (seconds): $d\n";

$d = time();
$m = memory_get_usage();
$fl = tree('flatlst',$t,$rootnode);
$m = memory_get_usage()-$m;
$d = time()-$d;
print "Get flat list: Memory consumption: $m  Time (seconds): $d\n";

?>
